import BaseController from 'common/base.controller'
import { ZError } from 'common/ZError'
import { role, router } from 'decorators/router'
import { MailQueue } from 'queue/mail.queue'

class MailController extends BaseController {
  @role('anon')
  @router('post /mail/send')
  async sendOneMail(req, res) {
    let { message } = req.params
    if (!message) {
      throw new ZError(10, 'params mismatch')
    }
    const result = await new MailQueue().addTaskToQueue(message)
    return { msgId: result.messageId }
  }
}
